# AnalyticsService | botserver

### Hierarchy

- AnalyticsService

## Index

### Methods

- createConversation
- createMessage

## Methods

### createConversation

- createConversation(user: GuaribasUser ): Promise< GuaribasConversation >

- - Defined in deploy/analytics.gblib/services/AnalyticsService.ts:37

  #### Parameters

  - ##### user: GuaribasUser

  #### Returns Promise< GuaribasConversation >

### createMessage

- createMessage(conversation: GuaribasConversation, user: GuaribasUser, content: string): Promise< GuaribasConversationMessage >

- - Defined in deploy/analytics.gblib/services/AnalyticsService.ts:51

  #### Parameters

  - ##### conversation: GuaribasConversation

  - ##### user: GuaribasUser

  - ##### content: string

  #### Returns Promise< GuaribasConversationMessage >

Generated using TypeDoc